Subject: Re: [PATCH] TCP_FAILFAST: a new socket option to timeout/abort a connection quicker

From: Hagen Paul Pfeifer <[email-masked]>
Date: Tue, 24 Aug 2010 18:28:44 +0200

* Arnd Hannemann | 2010-08-24 16:58:58 [+0200]:

>Nice, so did you come up with a name for the socket option yet?

+#define      TCP_UTO       18  /* User Timeout Option */

The patch is an early state and details as well as testing is a little bit
costly.

>Hmm, is there really a difference? If an application specifies
>a wanted timeout e.g. with USER_TIMEOUT, CHANGEABLE will
>become false and the value would be announced via ADV_UTO.
>The connection could be aborted locally after that time passed,
>regardless of what the remote site thinks the timeout should be.
>
>As I understand it U_LIMIT and L_LIMIT would only be there
>for safety to disallow nonsensical values of USER_TIMEOUT.
>
>Did I miss something?

Maybe not, aot sure. I must take a look at the patch from Jerry. I had no time
until now.

Hagen